### Hierarchy

- unknown
  - PaymentAccountFilter

## Index

### Constructors

- constructor

### Methods

- getGetMethodName
- getPaymentMethodId
- getValue
- serializeBinary
- setGetMethodName
- setPaymentMethodId
- setValue
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PaymentAccountFilter(): PaymentAccountFilter

- Inherited from jspb.Message.constructor

  #### Returns PaymentAccountFilter

## Methods

### getGetMethodName

- getGetMethodName(): string

- - Defined in src/protobuf/pb_pb.d.ts:2782

  #### Returns string

### getPaymentMethodId

- getPaymentMethodId(): string

- - Defined in src/protobuf/pb_pb.d.ts:2779

  #### Returns string

### getValue

- getValue(): string

- - Defined in src/protobuf/pb_pb.d.ts:2785

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2788

  #### Returns Uint8Array

### setGetMethodName

- setGetMethodName(value: string): PaymentAccountFilter

- - Defined in src/protobuf/pb_pb.d.ts:2783

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFilter

### setPaymentMethodId

- setPaymentMethodId(value: string): PaymentAccountFilter

- - Defined in src/protobuf/pb_pb.d.ts:2780

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFilter

### setValue

- setValue(value: string): PaymentAccountFilter

- - Defined in src/protobuf/pb_pb.d.ts:2786

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFilter

### toObject

- toObject(includeInstance?: boolean): PaymentAccountFilter . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2789

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PaymentAccountFilter . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccountFilter

- - Defined in src/protobuf/pb_pb.d.ts:2792

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccountFilter

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccountFilter, reader: BinaryReader): PaymentAccountFilter

- - Defined in src/protobuf/pb_pb.d.ts:2793

  #### Parameters

  - ##### message: PaymentAccountFilter

  - ##### reader: BinaryReader

  #### Returns PaymentAccountFilter

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccountFilter, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2791

  #### Parameters

  - ##### message: PaymentAccountFilter

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PaymentAccountFilter ): PaymentAccountFilter . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2790

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccountFilter

  #### Returns PaymentAccountFilter . AsObject

Generated using TypeDoc